1
0
mirror of git://git.gnupg.org/gnupg.git synced 2024-05-28 21:50:02 +02:00
gnupg/checks/defs.inc

84 lines
1.4 KiB
PHP
Raw Normal View History

1998-02-26 17:56:31 +01:00
# definitions for the check scripts
#--------------------------------
#------ constants ---------------
#--------------------------------
# Note that usrpass1 is also used in Makefile.am
usrname1="one"
usrpass1="def"
usrname2="two"
usrpass2=""
1998-04-30 16:06:01 +02:00
usrname3="three"
usrpass3="abc"
1998-04-08 21:42:07 +02:00
dsa_usrname1="pgp5"
# we use the sub key because we do not yet have the logic to
# to derive the first encryption key from a keyblock (I guess)
dsa_usrname2="0xCB879DE9"
dsa_keyrings="--keyring ./pubring.pkr --secret-keyring ./secring.skr"
1998-07-08 11:29:43 +02:00
plain_files="plain-1 plain-2 plain-3"
1998-07-14 19:10:28 +02:00
data_files="data-500 data-9000 data-32000 data-80000"
1998-02-26 17:56:31 +01:00
exp_files=""
#--------------------------------
#------ utility functions -------
#--------------------------------
fatal () {
echo "$pgmname: fatal:" $* >&2
exit 1;
}
error () {
echo "$pgmname:" $* >&2
exit 1
}
info () {
echo "$pgmname:" $* >&2
}
chdir () {
cd $1 || fatal "cannot cd to $1"
}
#cleanup () {
# rm $cleanup_files 2>/dev/null || true
# echo "#empty" >./options
#}
#add_cleanup () {
# cleanup_files="$cleanup_files $*"
#}
1998-10-25 20:00:01 +01:00
have_hash_algo () {
if ../g10/gpgm --homedir . --version | grep "Hash:.*$1" >/dev/null
then
true
else
false
fi
1998-10-25 20:00:01 +01:00
}
1998-02-26 17:56:31 +01:00
set -e
1998-07-29 21:35:05 +02:00
pgmname=`basename $0`
1998-02-26 17:56:31 +01:00
#trap cleanup SIGHUP SIGINT SIGQUIT
1998-07-29 21:35:05 +02:00
[ -z "$srcdir" ] && fatal "not called from make"
1998-02-26 17:56:31 +01:00
cat <<EOF >./options
no-greeting
no-secmem-warning
1998-06-25 12:19:08 +02:00
load-extension ../cipher/tiger
1998-02-26 17:56:31 +01:00
batch
EOF